.TH APF 1 "August 17, 2008"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
apf \- easy iptables based firewall system
.SH SYNOPSIS
.B apf
.SH DESCRIPTION
This manual page documents briefly the
.B apf 
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
.PP
Advanced Policy Firewall (\fBAPF\fP) is an iptables (netfilter) based firewall
system designed around the essential needs of today's Internet deployed
servers and the unique needs of custom deployed Linux installations. The
configuration of APF is designed to be very informative and present the
user with an easy to follow process, from top to bottom of the
configuration file. The management of APF on a day-to-day basis is
conducted from the command line with the 'apf' command, which includes
detailed usage information and all the features one would expect from a
current and forward thinking firewall solution.
.SH OPTIONS
.B apf
follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
.TP
.TP
.B \-s|\-\-start
load all firewall rules
.TP
.B \-r|\-\-restart
stop (flush) & reload firewall rules
.TP
.B \-l|\-\-list
list all firewall rules
.TP
.B \-t|\-\-status
output firewall status log
.TP
.B \-e|\-\-refresh
refresh & resolve dns names in trust rules
.TP
.B \-a <HOST CMT|\-\-allow <HOST COMMENT>
add host (IP/FQDN) to allow_hosts.rules and
immediately load new rule into firewall
.TP
.B \-d <HOST CMT|\-\-deny <HOST COMMENT>
add host (IP/FQDN) to deny_hosts.rules and
immediately load new rule into firewall
.TP
.B \-u <HOST>|\-\-remove <HOST>
remove host from [glob]*_hosts.rules
and immediately remove rule from firewall
.TP
.B \-o|\-\-ovars
output all configuration options
.SH COPYRIGHT
Copyright \(co 1999-2007, R-fx Networks <proj@r-fx.org>
.br
Copyright \(co 2007, Ryan MacDonald <ryan@r-fx.org>
This program may be freely redistributed under the terms of the GNU GPL
.PP
This manual page was written by Giuseppe Iuculano <giuseppe@iuculano.it>,
for the Debian project (but may be used by others).
